Get a single webhook delivery attempt
import requests
url = "https://api.hydradb.com/webhooks/indexing/deliveries/{delivery_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hydradb.com/webhooks/indexing/deliveries/{delivery_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.hydradb.com/webhooks/indexing/deliveries/{delivery_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"attempts": 1,
"created_at": "2026-07-02T10:00:00Z",
"delivery_id": "dlv_9f8e7d6c",
"doc_id": "HydraDoc1234",
"error_code": "",
"error_message": "",
"event_type": "indexing.status_changed",
"indexing_status": "completed",
"status": "completed",
"updated_at": "2026-07-02T10:00:05Z"
},
"error": {
"code": "DATABASE_NOT_FOUND",
"message": "Database not found"
},
"meta": {
"collection": "team_docs",
"database": "acme_corp",
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d",
"source_type": "file",
"sub_tenant_id": "sub_tenant_4567",
"tenant_id": "tenant_1234"
},
"success": true
}{
"data": "<unknown>",
"detail": {
"deprecated": true,
"deprecated_field": "tenant_id",
"error_code": "VALIDATION_ERROR",
"message": "Request validation failed",
"preferred_field": "database"
},
"error": {
"code": "DATABASE_NOT_FOUND",
"message": "Database not found"
},
"meta": {
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d"
},
"success": true
}Webhooks
Get Delivery
Retrieve a single webhook delivery attempt by ID.
GET
/
webhooks
/
indexing
/
deliveries
/
{delivery_id}
Get a single webhook delivery attempt
import requests
url = "https://api.hydradb.com/webhooks/indexing/deliveries/{delivery_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hydradb.com/webhooks/indexing/deliveries/{delivery_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.hydradb.com/webhooks/indexing/deliveries/{delivery_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"attempts": 1,
"created_at": "2026-07-02T10:00:00Z",
"delivery_id": "dlv_9f8e7d6c",
"doc_id": "HydraDoc1234",
"error_code": "",
"error_message": "",
"event_type": "indexing.status_changed",
"indexing_status": "completed",
"status": "completed",
"updated_at": "2026-07-02T10:00:05Z"
},
"error": {
"code": "DATABASE_NOT_FOUND",
"message": "Database not found"
},
"meta": {
"collection": "team_docs",
"database": "acme_corp",
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d",
"source_type": "file",
"sub_tenant_id": "sub_tenant_4567",
"tenant_id": "tenant_1234"
},
"success": true
}{
"data": "<unknown>",
"detail": {
"deprecated": true,
"deprecated_field": "tenant_id",
"error_code": "VALIDATION_ERROR",
"message": "Request validation failed",
"preferred_field": "database"
},
"error": {
"code": "DATABASE_NOT_FOUND",
"message": "Database not found"
},
"meta": {
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d"
},
"success": true
}Returns one delivery record, including its current status, attempt count, and the last error code and message when an attempt failed.
The
delivery_id is the value sent in the X-HydraDB-Delivery-ID header of the delivery itself, so you can look up any request your endpoint received. See Webhooks.Authorizations
API key sent as a Bearer token: "Bearer prefix.secret"
Path Parameters
Delivery ID
Example:
"dlv_9f8e7d6c"
Response
OK
Show child attributes
Show child attributes
Example:
{
"attempts": 1,
"created_at": "2026-07-02T10:00:00Z",
"delivery_id": "dlv_9f8e7d6c",
"doc_id": "HydraDoc1234",
"error_code": "",
"error_message": "",
"event_type": "indexing.status_changed",
"indexing_status": "completed",
"status": "completed",
"updated_at": "2026-07-02T10:00:05Z"
}
Error message, empty string on success.
Show child attributes
Show child attributes
Example:
{
"code": "DATABASE_NOT_FOUND",
"message": "Database not found"
}
Show child attributes
Show child attributes
Example:
{
"collection": "team_docs",
"database": "acme_corp",
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d",
"source_type": "file",
"sub_tenant_id": "sub_tenant_4567",
"tenant_id": "tenant_1234"
}
Whether the request succeeded.
Example:
true
Was this page helpful?
